<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $product, $woocommerce_loop;

if ( empty( $product ) || ! $product->exists() ) {
	return;
}

$related = $product->get_related( $posts_per_page );

if ( sizeof( $related ) == 0 ) return;

$args = apply_filters( 'woocommerce_related_products_args', array(
	'post_type'            => 'product',
	'ignore_sticky_posts'  => 1,
	'no_found_rows'        => 1,
	'posts_per_page'       => $posts_per_page,
	'orderby'              => $orderby,
	'post__in'             => $related,
	'post__not_in'         => array( $product->id )
) );

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = $columns;

if ( $products->have_posts() ) : ?>




	<div class="related products" style="margin:40px 0 0 0; ">

		<h2><?php _e( 'Related Products', 'woocommerce' ); ?></h2>

		
            
            
            
            
            
            
            
            
           <ul class="blocks-2"  style="margin:0;">

<?php woocommerce_product_loop_start(); ?>
        <?php while ( $products->have_posts() ) : $products->the_post(); ?>

<li>

	

	
    
  

		
        
        <?php if ( $price_html = $product->get_price_html() ) : ?>
	<span class="price" style="background-color:rgba(255,255,255,.83); padding:5px; position:absolute; margin:4px 0 0 4px;"><?php echo $price_html; ?></span>
<?php endif; ?>
        
         <a href="<?php the_permalink(); ?>"> <img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo get_image_path($post->ID); ?>&h=350&w=470&zc=1" alt="" title="<?php the_title(); ?>" border="0" style="border:1px solid #eaeaea; padding:3px;" /></a>
        
   
        
      
<h2 style="font-size:18px; font-weight: normal; margin:10px 0 0 0"><?php the_title(); ?></h2>



    
    

		
     





</li>
<?php endwhile; // end of the loop. ?>

		<?php woocommerce_product_loop_end(); ?>

</ul>
            
            
            
            
            

				

			
	</div>

<?php endif;

wp_reset_postdata();
